--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'SQL_ASCII';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: client_list_fw1; Type: TABLE; Schema: public; Owner: ovpn; Tablespace: 
--

CREATE TABLE client_list_fw1 (
    id bigint NOT NULL,
    common_name character varying(1024),
    real_address character varying(64),
    bytes_recv bigint,
    bytes_sent bigint,
    last_ref character varying(1024),
    virtual_address character varying(64),
    conn_since character varying(1024),
    conn_id character varying(1024) NOT NULL,
    real_port character varying(32),
    conn_state boolean,
    last_update character varying(1024)
);


ALTER TABLE public.client_list_fw1 OWNER TO ovpn;

--
-- Name: client_list_fw1_id_seq; Type: SEQUENCE; Schema: public; Owner: ovpn
--

CREATE SEQUENCE client_list_fw1_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.client_list_fw1_id_seq OWNER TO ovpn;

--
-- Name: client_list_fw1_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: ovpn
--

ALTER SEQUENCE client_list_fw1_id_seq OWNED BY client_list_fw1.id;


--
-- Name: lfnet-meta; Type: TABLE; Schema: public; Owner: ovpn; Tablespace: 
--

CREATE TABLE "lfnet-meta" (
    version character varying(1024)
);


ALTER TABLE public."lfnet-meta" OWNER TO ovpn;

--
-- Name: TABLE "lfnet-meta"; Type: COMMENT; Schema: public; Owner: ovpn
--

COMMENT ON TABLE "lfnet-meta" IS 'Version Tracking';


--
-- Name: users; Type: TABLE; Schema: public; Owner: ovpn; Tablespace: 
--

CREATE TABLE users (
    id integer NOT NULL,
    login character varying(255),
    password character varying(255),
    enabled bigint DEFAULT 1
);


ALTER TABLE public.users OWNER TO ovpn;

--
-- Name: users_id_seq; Type: SEQUENCE; Schema: public; Owner: ovpn
--

CREATE SEQUENCE users_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.users_id_seq OWNER TO ovpn;

--
-- Name: users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: ovpn
--

ALTER SEQUENCE users_id_seq OWNED BY users.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: ovpn
--

ALTER TABLE client_list_fw1 ALTER COLUMN id SET DEFAULT nextval('client_list_fw1_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: ovpn
--

ALTER TABLE users ALTER COLUMN id SET DEFAULT nextval('users_id_seq'::regclass);


--
-- Name: client_list_fw1_conn_id_key; Type: CONSTRAINT; Schema: public; Owner: ovpn; Tablespace: 
--

ALTER TABLE ONLY client_list_fw1
    ADD CONSTRAINT client_list_fw1_conn_id_key UNIQUE (conn_id);


--
-- Name: client_list_fw1_id_key; Type: CONSTRAINT; Schema: public; Owner: ovpn; Tablespace: 
--

ALTER TABLE ONLY client_list_fw1
    ADD CONSTRAINT client_list_fw1_id_key UNIQUE (id);


--
-- Name: client_list_fw1_pkey; Type: CONSTRAINT; Schema: public; Owner: ovpn; Tablespace: 
--

ALTER TABLE ONLY client_list_fw1
    ADD CONSTRAINT client_list_fw1_pkey PRIMARY KEY (conn_id);


--
-- Name: users_pkey; Type: CONSTRAINT; Schema: public; Owner: ovpn; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_pkey PRIMARY KEY (id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

