<?php
/**
 *
 * Config fuer die OSFW-Log-GUI
 *
 * Das ist die Vorlage fuer das Config-File einer lokalen Install Fuer
 * eine lokale Install eigene Config aus dem sample File anlegen cp
 * config.inc.sample.php config.inc.php
 * 
 * Fuer eine lokale Config dieses File kopieren nach ./config.inc.php
 * und die Daten fuer die DB-Connects anpassen. In der Regel sollten
 * das nur die PWs fuer die beiden Connections sein.
 * 
 * @version $Id: config.inc.sample.php,v 1.5 2010/04/09 07:17:30 jg Exp $
 * @package osfw
 * @author  <webdev@LF.net>
 * @copyright 2010, LF.net
 *
 */

# ------------------------------------------------------------
# DB-Connections, eine fuer die FW-Logs und eine fuer VPN
# ------------------------------------------------------------

$db_conf = array('fwlog' => array('user' => 'ulog2',
				  'pass' => '<FWLOG_PASS>',
				  'db'   => 'ulog2',
				  'host' => 'localhost',
				  ),
		 'vpn'   => array('user' => 'ovpn',
				  'pass' => '<VPN_PASS>',
				  'db'   => 'ovpn',
				  'host' => 'localhost',
				  ),
		 );


# ------------------------------------------------------------
# Definition von Konstanten
# ------------------------------------------------------------

/**
 *
 * Zeitzone der Install fuer timestamp rechnungen etc.
 *
 */
define ('OSFW_TZ', 'Europe/Berlin');

/**
 *
 * Debug Anzeigen globel de/aktivieren
 *
 */
@define ('DEBUG', false);

/**
 *
 * Pfade, in der Regel sollte alles relativ zu diesem File automagisch
 * definiert werden
 *
 */
define('OSFW_BASE_DIR', realpath(dirname(__FILE__)) . '/..');

/**
 *
 * Wo liegen die Configs?
 *
 */
define ('OSFW_CONF_DIR', OSFW_BASE_DIR . '/conf');
/**
 *
 * Wo liegen die Libs?
 *
 */
define ('OSFW_LIB_DIR', OSFW_BASE_DIR . '/lib');

/*
 * File Name fuer die "autoload" Datei in der alle notwendigen Libs
 * nachgeladen werden
 */

define('OSFW_AUTOLOADER', OSFW_LIB_DIR . '/autoload.php');

/**
 *
 * Wo liegen die Templates?
 *
 */
define ('OSFW_TMPL_DIR', OSFW_BASE_DIR . '/templates');

/**
 *
 * Welches Layout Template soll verwendet werden?
 *
 */
define ('OSFW_TMPL_FILE', OSFW_TMPL_DIR . '/layout.html');

/**
 *
 * Base-URL fuer die Einbindung der Media-Files (JS,CSS,...) im HTML
 *
 */
define ('OSFW_TMPL_BASE_URL', '/osfw-templates');

// EOF
