<?php
  /**
   *
   * Kleine Helper Funktionen die einem das PHP-Leben leichter machen
   *
   * @version $Id: tools.php,v 1.2 2010/03/17 10:56:48 jg Exp $
   * @package osfw
   * @author  <webdev@LF.net>
   * @copyright 2010, LF.net
   *
   */


  /** 
   * 
   * Debug-output in 'pre' Tags fuer die Anzeige von Werten zur Laufzeit 
   * 
   * Anhand der boolschen Konstante FW_DEBUG kann die Ausgabe dieser 
   * Funktion generell unterdreuckt werden -> produktiv-System 
   *  
   * Ueber den 2. optionalen Parameter kann zwischen der Ausgabe mit 
   * print_r oder var_dump = 1 gewaehlt werden.  Default (0) ist print_r. 
   *  
   * @param mixed $input 
   * @param integer $level optionalen Parameter 0=print_r 1=var_dump 
   * @return void 
   * 
   */ 
function debug ($input, $level=0) {  
 
  // Ist die "zeige Debugoutput" Konstante ueberhaupt gesetzt? 
  if (! DEBUG) { 
    return 0; 
  } 
 
  if (php_sapi_name() == 'cli') { 
    $start = $end = "\n"; 
  } 
  else { 
    $start = "<pre>\n"; 
    $end = "</pre>\n"; 
  } 
   
  echo $start;  
   
  if ($level == 1) { 
    var_dump ($input);   
  } 
  else { 
    print_r ($input); 
  } 
  echo $end;  
   
  } // End function debug 

// EOF
