#!/bin/sh
### BEGIN INIT INFO
# Provides:          ovpn-collect
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Starts osfw-ovpn-collect
# Description:       Starts the osfw openvpn connection tracker
### END INIT INFO

PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/osfw-ovpn-collect
NAME=ovpn-collect
DESC="LFNet OVPN Connection Logging"

. /lib/lsb/init-functions

test -f $DAEMON || exit 0

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	start-stop-daemon --quiet --start --background --exec $DAEMON 
	echo "$NAME."
	;;
  stop)
	echo -n "Stopping $DESC: "
	start-stop-daemon --quiet --oknodo --stop --exec $DAEMON
	killall osfw-ovpn-collect
	echo "$NAME."
	;;
  reload|force-reload)
	start-stop-daemon --quiet --stop --oknodo --signal HUP --exec $DAEMON
	;;
  restart)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	echo -n "Restarting $DESC: "
	start-stop-daemon --quiet --oknodo --stop --exec $DAEMON
	killall osfw-ovpn-collect
	sleep 1
	start-stop-daemon --quiet --start --background --exec $DAEMON -- -d > /dev/null 2>&1
	echo "$NAME."
	;;
  status)
	status_of_proc $DAEMON $NAME
	;;
  *)
	N=/etc/init.d/$NAME
	echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
	exit 1
	;;
esac

exit 0
